rvm_abort_transaction(3)

NAME
rvm_abort_transaction - abort specified transaction

SYNOPSIS

#include "rvm.h"
rvm_return_t rvm_abort_transaction (tid)
rvm_tid_t    *tid;   /* pointer to transaction identifier */

DESCRIPTION
rvm_abort_transaction aborts the specified transaction. Transactions begun with any mode can be aborted with this function. All modifications to segments made in the course of the transaction are restored to their original values (unless the transaction was begun with the no_restore) mode. The transaction identifier must refer to a previously initiated transaction or RVM_ETID is returned.

DIAGNOSTICS

RVM_SUCCESS
    success

RVM_ETID
    invalid transaction identifier or pointer

RVM_EINIT
    RVM not initialized

SEE ALSO
rvm_begin_transaction (3), rvm_end_transaction (3)

AUTHOR
Hank Mashburn